<template>
  <div class="edit-add-detail">
    <div class="crumbs">
      <Breadcrumb
        :breadcrumbOpt="breadcrumbOpt"
        svg-name="#icon-bill"
        @breadcrumb-click="handleClose"
      />
    </div>
    <div class="form-content">
      <div class="company-information">
        <el-form
          ref="formInfo"
          :model="parameter"
          label-position="right"
          label-width="auto"
        >
          <div class="rows">
            <div class="rows-left">
              <div class="rows-hr"></div>
            </div>
            <div class="rows-title">
              <div class="text-overflow">基本信息</div>
            </div>
          </div>
          <el-row :gutter="24">
            <el-col :span="12">
              <el-form-item label="报价方">
                <el-input
                  readonly="true"
                  clearable
                  v-model="parameter.secondPartyCompanyName"
                ></el-input>
              </el-form-item>
            </el-col>
            <el-col :span="12">
              <el-form-item label="标题">
                <el-input
                  readonly="true"
                  clearable
                  v-model="parameter.secondPartyUserName"
                ></el-input>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col>
              <el-form-item label="附件信息">
                <el-image
                  style="width: 100px; height: 100px"
                  src="https://fuss10.elemecdn.com/e/5d/4a731a90594a4af544c0c25941171jpeg.jpeg"
                  fit="cover"
                  :preview-src-list="srcList"
                ></el-image>
              </el-form-item>
            </el-col>
          </el-row>
          <div class="rows">
            <div class="rows-left">
              <div class="rows-hr"></div>
            </div>
            <div class="rows-title">
              <div class="text-overflow">物料信息</div>
            </div>
          </div>
          <el-table
            ref="singleTable"
            :data="parameter.detail"
            style="width: 100%"
            highlight-current-row
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
          >
            <el-table-column fixed type="index" width="55" label="序号" />
            <el-table-column label="物料名称" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="报价方" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="报价人" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="价格截止执行日期" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="计量单位" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="预计数量" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="保证金(元)" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="拍卖底价(元)" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="竞价价格(元)" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="税率(%)" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="交易服务费(%)" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="备注" prop="unloadAddress">
            </el-table-column>
            <el-table-column label="地址" prop="unloadAddress">
            </el-table-column>
          </el-table>
        </el-form>
      </div>
    </div>
  </div>
</template>

<script>
import Breadcrumb from '@/components/Breadcrumb/index.vue'
import utils from '@/utils.js'
export default {
  name: 'contractPreparationDetail',
  components: {Breadcrumb},
  data() {
    return {
      srcList: [
        'https://fuss10.elemecdn.com/e/5d/4a731a90594a4af544c0c25941171jpeg.jpeg'
      ],
      breadcrumbOpt: [
        {breadcrumbName: '报价执行通知书'},
        {breadcrumbName: '详情'}
      ],
      parameter: {}
    }
  },
  created() {
    this.parameter = {}
  },
  mounted() {},
  methods: {
    // 关闭//面包屑点击
    handleClose() {
      this.$router.push({
        name: 'notificationWinningBidDetail',
        query: {id: this.$route.query.id, name: this.$route.query.name},
        params: {
          pageBean: this.$route.query.pageBean
        }
      })
      this.parameter = {}
    },
    //详情
    detail(val) {
      if (val) {
        this.modifychoData(val)
      }
    },
    //获取详情
    modifychoData(val) {}
  }
}
</script>
<style lang="scss" scoped>
::v-deep .el-form-item__label {
  width: 120px;
  font-size: 14px;
  color: #828282;
  font-weight: 500;
}

::v-deep .el-form-item__content span {
  font-size: 14px;
  color: #000;
  font-weight: 500;
}

::v-deep .el-form-item {
  margin-bottom: 10px;
}
.rows {
  display: flex;
  align-items: center;
  border-bottom: 1px solid #ebebeb;
  margin-bottom: 16px;
  padding: 10px 0;

  .rows-left {
    margin-right: 10px;

    .rows-hr {
      width: 3px;
      height: 18px;
      background-color: #0e6eff;
      border-radius: 2px;
    }
  }

  .rows-title {
    .text-overflow {
      width: 100%;
      font-size: 16px;
    }
  }
}
</style>
